Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
OutputWrapper Class Reference
Inheritance diagram for OutputWrapper:

## Public Member Functions
| OutputWrapper ()
| constructor
| OutputWrapper (const char *name, bool a, bool b=false)
| constructor which opens a file
int | open (const char *name, bool a, bool b=false)
| Open a file. mode[1] can be 'b' to specify binary mode.
virtual | ~OutputWrapper ()
| Destructor which closes the input and output files.
void | binary (bool b)
| Sets to write in binary format.
bool | binary () const
| Return the current binary format.
void | writeBinarySignature (const char[])
| Puts a tag to specify a binary file, and the byte order.
void | writeSoftNewLine ()
| Inserts a return, only in text output mode, for nicer output.
void | writeSoftSpace (int N=1)
| Inserts N space(s), only in text output mode, for nicer output.
void | writeInt8 (int, char before=' ')
| Write integer on 1 byte.
void | writeInt16 (int, char before=' ')
| Write integer on 2 bytes.
void | writeInt32 (int, char before=' ')
| Write integer on 4 bytes.
void | writeUInt8 (unsigned int, char before=' ')
| Write unsigned integer on 1 byte.
void | writeUInt16 (unsigned int, char before=' ')
| Write unsigned integer on 2 bytes.
void | writeUInt32 (unsigned int, char before=' ')
| Write unsigned integer on 4 bytes.
void | writeFloat (float)
| Write a float (4 bytes)
void | writeFloatVector (const float *, unsigned n, char before=0)
| Write n floats (4 bytes each)
void | writeFloatVector (const double *, unsigned n, char before=0)
| Write n floats (4 bytes each)
void | writeDouble (double)
| Write a double (8 bytes)
void | writeDoubleVector (const double *, unsigned n, char before=0)
| Write n double (8 bytes each)
Public Member Functions inherited from FileWrapper
| FileWrapper ()
| constructor - no file
| FileWrapper (FILE *, const char *path=0)
| constructor which opens a file
| FileWrapper (const char *name, const char *mode)
| constructor which opens a file
virtual | ~FileWrapper ()
| destructor
void | operator= (FILE *)
| constructor from an already opened file
| operator FILE * ()
| automatic conversion to a FILE *
int | open (const char *name, const char *mode)
| open a file More...
void | rewind ()
| rewind file
void | clearerr ()
| rewind file
void | close ()
| close file
FILE * | file ()
| return the file pointer
const char * | path () const
| the path of the file, or of the last attempt to open a file
bool | std () const
| true if output goes to stdout
bool | eof () const
| true if End-Of-File
int | error () const
| return the value of ferror()
bool | good () const
| true if file is good for writing / reading
int | get_pos (fpos_t &p) const
| current position in input file, relative to beggining
void | set_pos (const fpos_t &p)
| set position relative to the beginning of the file
void | put_line (const char *line, char sep=0)
| put string More...
void | put_line (const std::string &line, char sep=0)
| put string
void | get_line (std::string &line, char sep='\n')
| read line, including the terminating ' '; return the position where the line started More...
void | skip_until (const char *str)
| read stream until given string is found More...
void | lock ()
| lock file by the current thread
void | unlock ()
| unlock file
int | getUL ()
| read a character
int | peek ()
| report next character to be read
void | unget (int c)
| report next character to be read
int | write (const char c)
| write a character
void | flush ()
| flush

## Additional Inherited Members
Protected Attributes inherited from FileWrapper
FILE * | mFile
| the C-file descriptor
std::string | mPath
| the name of the file or some other information: